#pragma once
#include "resource.h"
#include "apl_gui.h"
#include "afxwin.h"


// CDlgEditStrParam dialog

class CDlgEditStrParam : public CaplTranslateDialog
{
	DECLARE_DYNAMIC(CDlgEditStrParam)

public:
	CDlgEditStrParam(CWnd* pParent = NULL);   // standard constructor
	virtual ~CDlgEditStrParam();

	CString m_Titul;

// Dialog Data
	enum { IDD = IDD_AD_DOMAIN_PARAM };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	CString m_NameParam;
	CString m_Param;
	CString m_NameValue;
	CString m_Value;
	virtual BOOL OnInitDialog();
	CaplButton m_ok_btn;
	CaplButton m_cancel_btn;
	afx_msg void OnBnClickedGetCur();
	CEdit m_domain_ctrl;
	CEdit m_srv_ctrl;
	afx_msg void OnBnClickedTest();
};
